#include <bits/stdc++.h>
using namespace std;
int n,l,a,br;

int main() {
    cin>>n>>l;
    br=-1;
    for (int i=1;i<=n;i++) {
        cin>>a;
        if (l>=a) {
            br=i;
            break;
        }
    }
    cout<<br<<endl;



return 0;
}